Logo
OpenScaler

Download Kubernetes cluster configuration

GET
/v1/kubernetes/clusters/{cluster_id}/kubeconfig

Download the kubeconfig YAML for cluster access.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Path Parameters

cluster_id*string

A unique identifier for a Kubernetes cluster.

Formatuuid

Response Body

application/yaml

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/kubernetes/clusters/0193e8a2-7c4b-7b1e-9f3a-2d5c8e1f0a6b/kubeconfig"
"apiVersion: v1\nkind: Config\nclusters:\n  - name: my-cluster\n    cluster:\n      server: https://k8s.example.com:6443\n"
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}